#ifndef __INTR_H__
#define __INTR_H__
#ifdef __cplusplus
extern "C" {
#endif

#include "../libgba/gba.h"


//---------------------------------------------------------------------------


//---------------------------------------------------------------------------
typedef struct {
	void* handler[MAX_INTS];
} ST_INTR_TABLE;


//---------------------------------------------------------------------------
EWRAM_CODE void IntrInit();
IWRAM_CODE void IntrMain();
IWRAM_CODE void IntrDummy();

EWRAM_CODE void IntrStart();
EWRAM_CODE void IntrStop();

EWRAM_CODE void IntrSetEnable(irqMASK mask);
EWRAM_CODE void IntrSetDisable(irqMASK mask);
EWRAM_CODE void IntrSetHandler(irqMASK num, void* func);


#ifdef __cplusplus
}
#endif
#endif
